@echo off
@echo one.bat compacting %1 %2 %3 %4 %5
if not exist E:\com\mindprod\compactor\compactor.exe goto usejar
if %@FILEAGE[E:\com\mindprod\compactor\compactor.exe] GT %@FILEAGE[E:\com\mindprod\compactor\compactor.jar] goto useexe
:usejar
echo [][][] Using compactor.jar [][][]
java -jar E:\com\mindprod\compactor\compactor.jar -ea %1 %2 %3 %4 %5
goto done
:useexe
E:\com\mindprod\compactor\compactor.exe %1 %2 %3 %4 %5
:done
echo compacted
rem -30-

